Bug 988763 - [origin_runtime_183]Can not update gear's freezer state to FROZEN via oo-cgroup-template -t frozen
[origin_runtime_183]Can not update gear's freezer state to FROZEN via oo-cgr...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
1.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 06:17 EDT by Xiaoli Tian
Modified: 2013-11-17 19:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2013-07-26 06:17:29 EDT
Description of problem:
In default, the freezer state is THAWED:
[51f23f1b529abf0a0d000001]\> oo-cgroup-read freezer.state
THAWED
After running  #oo-cgroup-template -t frozen -c 51f23f1b529abf0a0d000001 , it's still THAWED
[ 51f23f1b529abf0a0d000001]\> oo-cgroup-read freezer.state
THAWED

Version-Release number of selected component (if applicable):
fork_ami_origin_runtime_183_and_191_724 

How reproducible:
Always

Steps to Reproduce:
1.Check the freezer.state before you are going to freeze it: oo-cgroup-read freezer.state
2.Set the gear template to frozen via oo-cgroup-template -t frozen -c 51f23f1b529abf0a0d000001

3. Check freezer.state again via oo-cgroup-read freezer.state

Actual results:
It's still THAWED even if after setting its template to frozen

Expected results:
The freezer state should be FROZON after setting template to frozon

Additional info:
Comment 1 Rob Millner 2013-07-26 18:05:36 EDT
Slight change to the validation for this bug.  If the gear is frozen, your session will just hang and oo-cgroup-read won't work.

As root, call this instead:
cgget -r freezer.state /openshift/[uuid]


Example:
# cgget -r freezer.state /openshift/123456789
/openshift/123456789:
freezer.state: THAWED

# oo-cgroup-template -c 123456789 -t frozen

# cgget -r freezer.state /openshift/123456789
/openshift/123456789:
freezer.state: FROZEN

# oo-cgroup-template -c 123456789 
123456789: frozen

# oo-cgroup-template -c 123456789 -t default

# cgget -r freezer.state /openshift/123456789
/openshift/123456789:
freezer.state: THAWED

# oo-cgroup-template -c 123456789 
123456789: default
Comment 2 Meng Bo 2013-07-29 04:44:25 EDT
Checked on devenv_3574,

The frozen gear still can get the cgroup setting via oo-cgroup-read, but it can return the correct state this time.

[php1-bmengdev1.dev.rhcloud.com 51f623c5a721920a7d000001]\> oo-cgroup-read freezer.state
FROZEN

# cgget -r freezer.state /openshift/51f623c5a721920a7d000001
/openshift/51f623c5a721920a7d000001:
freezer.state: FROZEN
Comment 3 Meng Bo 2013-07-29 06:10:42 EDT
As rmillner's comment, the frozen state should not be read by user.

Not sure what is the final decision.
Comment 4 Rob Millner 2013-07-29 13:02:36 EDT
Gear freeze has been fixed and the branch merged to master.

To check it, do the following:
cgget -r freezer.state /openshift/51f623c5a721920a7d000001
Comment 5 Meng Bo 2013-07-30 07:16:20 EDT
[root@ip-10-155-149-153 ~]# oo-cgroup-template -t frozen -c 547127431256006010601472
[root@ip-10-155-149-153 ~]# cgget -r freezer.state /openshift/547127431256006010601472
/openshift/547127431256006010601472:
freezer.state: FROZEN
[root@ip-10-155-149-153 ~]# oo-cgroup-template -t thawed -c 547127431256006010601472
[root@ip-10-155-149-153 ~]# cgget -r freezer.state /openshift/547127431256006010601472
/openshift/547127431256006010601472:
freezer.state: THAWED
[root@ip-10-155-149-153 ~]# 

Verified on devenv_3582.

Note You need to log in before you can comment on or make changes to this bug.